
From: Mikael Pettersson <mikpe@csd.uu.se>

- Add declarations of common arch-specific domain numbers and
  corresponding data structures to <linux/perfctr.h>. This just
  factors out common code, it does not impose any requirements
  on arch-specific code.

Signed-off-by: Mikael Pettersson <mikpe@csd.uu.se>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/include/linux/perfctr.h |   11 +++++++++++
 1 files changed, 11 insertions(+)

diff -puN include/linux/perfctr.h~perfctr-api-update-6-9-cpu_control-access-common include/linux/perfctr.h
--- 25/include/linux/perfctr.h~perfctr-api-update-6-9-cpu_control-access-common	2005-03-13 13:23:23.000000000 -0800
+++ 25-akpm/include/linux/perfctr.h	2005-03-13 13:23:23.000000000 -0800
@@ -60,6 +60,17 @@ struct vperfctr_control {
 #define VPERFCTR_CONTROL_RESUME		0x03
 #define VPERFCTR_CONTROL_CLEAR		0x04
 
+/* common description of an arch-specific 32-bit control register */
+struct perfctr_cpu_reg {
+	unsigned int nr;
+	unsigned int value;
+};
+
+/* domain numbers for common arch-specific control data */
+#define PERFCTR_DOMAIN_CPU_CONTROL	128	/* struct perfctr_cpu_control_header */
+#define PERFCTR_DOMAIN_CPU_MAP		129	/* unsigned int[] */
+#define PERFCTR_DOMAIN_CPU_REGS		130	/* struct perfctr_cpu_reg[] */
+
 /* commands for sys_vperfctr_read() */
 #define VPERFCTR_READ_SUM	0x01
 #define VPERFCTR_READ_CONTROL	0x02
_
